Main Page Packages Class Hierarchy Compound List File List Compound Members

# cdatasectionnormalize Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| cdatasectionnormalize (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

Adjacent CDATASection nodes cannot be merged together by use of the "normalize()" method from the Element interface. Retrieve second child of the second employee and invoke the "normalize()" method. The Element under contains two CDATASection nodes that should not be merged together by the "normalize()" method.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-162CF083

Definition at line 44 of file cdatasectionnormalize.java.

## Constructor & Destructor Documentation

cdatasectionnormalize::cdatasectionnormalize | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file cdatasectionnormalize.java. References DocumentBuilderSetting::notCoalescing, and DOMTest::setFactory().
    00047                                      {
    00048
    00049       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00050 DocumentBuilderSetting.notCoalescing
    00051         };
    00052         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00053         setFactory(testFactory);
    00054
    00055    }

## Member Function Documentation

String cdatasectionnormalize::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 77 of file cdatasectionnormalize.java.
    00077                                 {
    00078       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/cdatasectionnormalize";
    00079    }

void cdatasectionnormalize::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 80 of file cdatasectionnormalize.java. References DOMTestCase::doMain().
    00080                                           {
    00081         DOMTestCase.doMain(cdatasectionnormalize.class,args);
    00082    }

void cdatasectionnormalize::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file cdatasectionnormalize.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList nameList;
    00060       Element lChild;
    00061       NodeList childNodes;
    00062       CDATASection cdataN;
    00063       String data;
    00064       doc = load("staff");
    00065       nameList = doc.getElementsByTagName("name");
    00066       lChild = (Element)nameList.item(1);
    00067       lChild.normalize();
    00068       childNodes = lChild.getChildNodes();
    00069       cdataN = (CDATASection)childNodes.item(1);
    00070       data = cdataN.getData();
    00071       assertEquals("data1","This is a CDATASection with EntityReference number 2 &ent2;",data);
    00072       cdataN = (CDATASection)childNodes.item(3);
    00073       data = cdataN.getData();
    00074       assertEquals("data3","This is an adjacent CDATASection with a reference to a tab &tab;",data);
    00075
    00076    }

The documentation for this class was generated from the following file:

- cdatasectionnormalize.java